import { CachedResponse, Chunk, Store } from "./types";
import express from "express";
import { Queue } from "./utils";
interface Response extends express.Response {
    aggressiveCache?: {
        chunks?: string[];
    };
}
export declare const sealChunks: ({ requestId, cacheKey, res, responseBucket }: {
    requestId: string;
    cacheKey: string;
    res: Response;
    responseBucket: Store<CachedResponse>;
}) => Promise<void>;
export declare const cacheChunk: ({ requestId, chunk, res, cacheKey, defaultMaxAge, responseBucket, chunkBucket, chunkQueue }: {
    requestId: string;
    chunk: Chunk;
    res: Response;
    cacheKey: string;
    defaultMaxAge: number | undefined;
    responseBucket: Store<CachedResponse>;
    chunkBucket: Store<Chunk>;
    chunkQueue: Queue;
}) => Promise<void>;
export {};
